<?xml version="1.0" encoding="ISO-8859-1"?>
<StyledLayerDescriptor version="1.0.0" 
 xsi:schemaLocation="http://www.opengis.net/sld StyledLayerDescriptor.xsd" 
 xmlns="http://www.opengis.net/sld" 
 xmlns:ogc="http://www.opengis.net/ogc" 
 xmlns:xlink="http://www.w3.org/1999/xlink" 
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <!-- a Named Layer is the basic building block of an SLD document -->
  <NamedLayer>
    <Name>WS3_Salt_Marsh</Name>
    <UserStyle>
    <!-- Styles can have names, titles and abstracts -->
      <Title>WS3_Salt_Marsh</Title>
      <Abstract>Ecotope-zoning for Salt Marshes</Abstract>
      <!-- FeatureTypeStyles describe how to render different features -->
      <!-- A FeatureTypeStyle for rendering polygons -->
      <FeatureTypeStyle>
        <Rule>
          <Name>1</Name>
          <Title>pioneer zone (1)</Title>
          <Abstract>A polygon with a Light Apple #A3FF73 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>1</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#A3FF73</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
 
        <Rule>
          <Name>2</Name>
          <Title>low salt marsh (2)</Title>
          <Abstract>A polygon with a Quetzal Green #4CE600 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>2</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#4CE600</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
 
        <Rule>
          <Name>3</Name>
          <Title>brackish salt marsh(3)</Title>
          <Abstract>A polygon with a Leaf Green #38BA00 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>3</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#38BA00</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
 
        <Rule>
          <Name>4</Name>
          <Title>high salt marsh (4)</Title>
          <Abstract>A polygon with a Fir Green #267300 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>4</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#267300</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
 
        <Rule>
          <Name>5</Name>
          <Title>salt marsh (any) (5)</Title>
          <Abstract>A polygon with a Fern Greem #86CD66 fill and a 0.5 pixel medium grey outline #6e6e6e</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>5</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#86CD66</CssParameter>
            </Fill>
            <Stroke>
              <CssParameter name="stroke">#6e6e6e</CssParameter>
              <CssParameter name="stroke-width">0</CssParameter>
            </Stroke>
          </PolygonSymbolizer>
        </Rule>
   
        <Rule>
          <Name>6</Name>
          <Title>dune slack(-ish)(6)</Title>
          <Abstract>A polygon with a Dark Olevinite #737300 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>6</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#737300</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
   
        <Rule>
          <Name>7</Name>
          <Title>fresh grassland (7)</Title>
          <Abstract>A polygon with a Peridot Green #AAFF00 fill and a 0 pixel black outline</Abstract>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>SaltMarshC</ogc:PropertyName>
              <ogc:Literal>7</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <PolygonSymbolizer>
            <Fill>
              <CssParameter name="fill">#AAFF00</CssParameter>
            </Fill>
          </PolygonSymbolizer>
        </Rule>
     
      </FeatureTypeStyle>
    </UserStyle>
  </NamedLayer>
</StyledLayerDescriptor>